Name:           mirmon
Version:        2.11
Release:        3%{?dist}
Summary:        Monitor the status of mirrors
License:        BSD
URL:            http://www.staff.science.uu.nl/~penni101/mirmon/
Source0:        http://www.staff.science.uu.nl/~penni101/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}-httpd.conf
BuildArch:      noarch
BuildRequires:      perl-generators

%description
Many software projects are mirrored worldwide. The mirror sites are required 
to update the mirror archive regularly (daily, weekly) from a root server.

Mirmon helps administrators in keeping an eye on the mirror sites. In a 
concise graphic format, mirmon shows each site's status history of the 
last two weeks. It is easy to spot stale or dead mirrors.

%package        httpd
Summary:        Apache configuration for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       httpd

%description    httpd
This package provides the Apache configuration for
applications using an Alias to %{name}.

%prep
%setup -q

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 %{name}.1 %{buildroot}%{_mandir}/man1/
install -pm644 %{name}.pm.1 %{buildroot}%{_mandir}/man1/
install -pDm755 %{name} %{buildroot}%{_bindir}/%{name}
install -pDm755 probe %{buildroot}%{_bindir}/probe
install -pDm0644 %{S:1} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
cp -pa countries.list icons %{buildroot}%{_datadir}/%{name}/

%files
%doc RELEASE-NOTES *.{txt,html} LICENSE
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*.1*

%files httpd
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 30 2016 Sérgio Basto <sergio@serjux.com> - 2.11-1
- New upstream vesion, 2.11

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 22 2014 Christopher Meng <rpm@cicku.me> - 2.10-1
- Update to 2.10

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 13 2013 Christopher Meng <rpm@cicku.me> - 2.9-1
- Update to 2.9

* Sat Aug 10 2013 Christopher Meng <rpm@cicku.me> - 2.8-2
- Replace macro outside rpm.

* Thu Feb 14 2013 Christopher Meng <rpm@cicku.me> - 2.8-1
- Update to 2.8

* Thu Dec 20 2012 Christopher Meng <rpm@cicku.me> - 2.7-1
- Update to 2.7

* Tue Jun 12 2012 Christopher Meng <rpm@cicku.me> - 2.6-1
- Update to 2.6

* Mon Apr 30 2012 Christopher Meng <rpm@cicku.me> - 2.5-1
- Update to 2.5

* Mon Mar 21 2011 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.4-1
- Update to 2.4

* Wed Mar 17 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.3-1
- Update to 2.3

* Sun Mar 14 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.2-1
- Update to 2.2

* Mon Feb 15 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.1-1
- Update to 2.1

* Fri Jan 15 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.0-1
- Initial Package.
